//
//  HWVideoSession.m
//  HWRtcDemo
//
//  Created by weshow on 2020/4/2.
//  Copyright © 2020 @YanYuXin. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "HwRtcEngine.h"
#import "HwRtcVideoView.h"
NS_ASSUME_NONNULL_BEGIN

@interface HWVideoSession : NSObject
@property (nonatomic, strong) NSString *userName;
@property (nonatomic, strong) HwRtcVideoView * __nullable videoView;
@property (nonatomic, strong) HwRtcVideoCanvas *canvas;
@property (nonatomic, assign) BOOL isPlaying;
@property (nonatomic, assign) BOOL isSubStream;//是否为辅流

- (instancetype)initWithUserID:(nonnull NSString *)userID;


@end

NS_ASSUME_NONNULL_END
