//
//  AppDelegate.m
//  OpenLive
//
//  Created by yangmoumou on 2018/2/8.
//  Copyright © 2018年 yangmoumou. All rights reserved.
//

#import "AppDelegate.h"
#import "HwRtcEngine.h"
#import "HLMonitor.h"
@interface AppDelegate ()

@end

@implementation AppDelegate
- (void)applicationDidFinishLaunching:(NSNotification *)aNotification {
    // Insert code here to initialize your application
    #if defined(__IPHONE_13_0) && __IPHONE_OS_VERSION_MAX_ALLOWED >= __IPHONE_13_0
        NSString *version= [UIDevice currentDevice].systemVersion;
        if(version.doubleValue >=13.0) {
            // 针对13.0 以上的iOS系统进行处理
            self.window.overrideUserInterfaceStyle = UIUserInterfaceStyleLight;
        }
    #endif
    
#ifdef DEBUG
    //        [HLMonitor redirectNSlogToDocumentFolder];
    //        [HLMonitor getConsoleCrash];
#else
    [HLMonitor redirectNSlogToDocumentFolder];
    [HLMonitor getConsoleCrash];
#endif


}

- (BOOL)applicationShouldTerminateAfterLastWindowClosed:(NSApplication *)sender {
    return YES;
}

/// 应用程序将终止
- (void)applicationWillTerminate:(NSNotification *)notification
{
    [[HwRtcEngine sharedEngine] destroy];
    NSLog(@"HwRtcEngine destroy");
}





@end
