//
//  HWReusePool.m
//  HWRtcDemo
//
//  Created by weshow on 2020/4/2.
//  Copyright © 2020 @YanYuXin. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "HwRtcVideoView.h"

NS_ASSUME_NONNULL_BEGIN

@interface HWReusePool : NSObject
/// 复用个数
@property (nonatomic, assign) NSUInteger count;
- (HwRtcVideoView *)dequeueReusableView;
- (void)addVideoView:(HwRtcVideoView *)videoView;
- (void)removeVideoView:(HwRtcVideoView *)view;
- (void)reset;


@end

NS_ASSUME_NONNULL_END
