//
//  HWTableRowView.h
//  OpenLive
//
//  Created by weshow on 2020/3/10.
//  Copyright © 2020 Agora.io. All rights reserved.
//

#import <Cocoa/Cocoa.h>

NS_ASSUME_NONNULL_BEGIN

@protocol HWTableCellViewDelegate <NSObject>

@optional
- (void)tableCellViewSelectWithIndex:(int)index;

@end

@interface HWTableCellView : NSTableCellView
@property (nonatomic, strong) NSTextField *usernameTextField;
@property (nonatomic, strong) NSImageView *iconImageView;
@property (nonatomic, assign) BOOL isMuteLocalVideo;
@property (nonatomic, weak) id <HWTableCellViewDelegate> delegate;
@property (nonatomic, assign) int index;
@end

NS_ASSUME_NONNULL_END
