//
//  HWVideoSession.m
//  HWRtcDemo
//
//  Created by weshow on 2020/4/2.
//  Copyright © 2020 @YanYuXin. All rights reserved.
//

#import "HWVideoSession.h"
@implementation HWVideoSession
- (instancetype)initWithUserID:(nonnull NSString *)userID
{
    if (self = [super init]) {
        self.canvas = [[HwRtcVideoCanvas alloc] init];
        self.canvas.uid = userID;
        _isPlaying = NO;
        _isSubStream = NO;
    }
    return self;
}

- (void)setVideoView:(HwRtcVideoView *)videoView
{
    _videoView = videoView;
    self.canvas.view = (HwRtcView *)videoView;
}


@end
