//
//  LiveRoomViewController.h
//  OpenLive
//
//  Created by yangmoumou on 2018/2/8.
//  Copyright © 2018年 yangmoumou. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "HwRtcEngine.h"
@class LiveRoomViewController;
@protocol LiveRoomVCDelegate <NSObject>
- (void)liveVCNeedClose:(LiveRoomViewController *)liveVC;
@end

@interface LiveRoomViewController : NSViewController
@property (nonatomic, strong) HwRtcEngine *rtcEngine;
@property (nonatomic, assign) CGFloat screenWidth;
@property (nonatomic, assign) CGFloat screenHeight;
@property (nonatomic, copy) NSString *roomName;
@property (nonatomic, copy) NSString *userName;
@property (nonatomic, assign) HwRtcRole roleType;

@property (nonatomic, strong) id<LiveRoomVCDelegate> delegate;
@property (nonatomic, strong) NSString *address;
@property (nonatomic, strong) NSString *appid;
@end
