//
//  SettingViewController.h
//  OpenLive
//
//  Created by yangmoumou on 2018/2/8.
//  Copyright © 2018年 yangmoumou. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "HwRtcEngine.h"
@class SettingsViewController;
@protocol SettingsVCDelegate <NSObject>
- (void)settingsVC:(SettingsViewController *)settingsVC address:(NSString *)address;
@end

@interface SettingsViewController : NSViewController
@property (nonatomic, strong) HwRtcEngine *rtcEngine;
@property (strong, nonatomic) id<SettingsVCDelegate> delegate;
@property (nonatomic, strong) NSString *address;
@end
